/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 39)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm039 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:
					posn(265 80)
					loop(1)
				)
			)
		)

		SetUpEgo()
		(send gEgo:init()view(1))
        (doorGate:init()loop(6))
        (gate:init()loop(1)setCycle(Fwd)cycleSpeed(2))
        (rope:init()setPri(-1)hide())
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
 
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
            )(case 10 = cycles 1
            )(case 11 = cycles 25
                (ProgramControl)
                (send gEgo:setMotion(MoveTo 200 82))
            )(case 12 = cycles 5
                (send gEgo:loop(2))
            )(case 13 = cycles 10
                Print("You tie the rope and throw it over the side of the castle wall.")
                (rope:show())
            )(case 14 = cycles 10
                Print("Congratulations! You've beat the demo.")
                Print("Hopefully you had fun, and please send me feedback.")
                Print("@ doansephim@yahoo.com")
                (PlayerControl)
            )
        )
    )
 
    (method (handleEvent pEvent)
        (var dyingScript)
        (super:handleEvent(pEvent))
        
        (if(Said('look>'))
            (if(Said('/castle'))
                Print("Yep, it's a castle.")
            )(if(Said('/parapet,wall,ground'))
                Print("I bet if there were something to climb down, I could get to the ground and outa here.")
            )(if(Said('/star,sky'))
                Print("Sorry, I really shouldn't be star-gazing right now.")
            )(if(Said('around'))
                Print("I'm on the parapet of the castle. The ground seems too far down to jump to safely. I need a way to climb down,")
            )(if(Said('/anyword'))
                Print("Why look at that? It's quite boring.")
            )(if(Said('[ /* , !* ]'))
                Print("I'm on the parapet of the castle. The ground seems too far down to jump to safely. I need a way to climb down,")
            )
        )
        
        (if(Said('use/rope'))
            (if(send gEgo:has(6))
                Print("How exactly do you want to use it?")
            )(else
                Print("You don't have any rope, stupid.")
            )
        )
        (if(Said('tie,wrap,lasso/rope'))
            (if(send gEgo:has(6))
                (if(send gEgo:has(2))
                    ("You get ready to tie the rope.")
                    (send gGame:changeScore(2))//CHANGESCORE
                    (RoomScript:changeState(10))
                )(else
                    Print("You don't want to leave without your sword do you?")
                )
            )(else
                Print("You don't have any rope, stupid.")
            )
        )
        (if(Said('jump'))
            = dyingScript ScriptID(DYING_SCRIPT)
            (send dyingScript: caller(273)
            register("Despite your heroic attempt to defy gravity's power, you ended up the worse for it.")
            )
            (send gGame:setScript(dyingScript))
        )
    )
 
    (method (doit)
        (super:doit)
        (if(== (send gEgo: onControl()) ctlSILVER)
            (send gRoom:newRoom(50))
        )
    )
)

(instance gate of Prop
    (properties
        y 175
        x 301
        view 104
    )
)
(instance rope of Prop
    (properties
        y 157
        x 200
        view 106
    )
)
(instance doorGate of Prop
    (properties
        y 166
        x 159
        view 37
    )
)
/******************************************************************************/
