/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 55)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm055 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:
					posn(200 130)
					loop(1)
				)
            )(case 51
                (send gEgo:posn(260 150)loop(1))
            )
		)

		SetUpEgo()
		(send gEgo:init())
        (shelf:init()loop(1)ignoreActors())
        (treasureBox:init()loop(1)ignoreActors())
        (rope:init()loop(2)ignoreActors()setPri(1))
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
 
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
            )(case 1 = cycles 7
                (send gEgo:setMotion(MoveTo 250 140))
            )(case 2 = cycles 10
                (if(not(darkRoom))
                    Print("I can see much better now.")
                )(else
                    (if(not(send gEgo:has(2)))
                        Print("Now to find my gear.")
                    )
                )
            )
        )
    )
    
    (method (handleEvent pEvent)
        (var dyingScript)
        (super:handleEvent(pEvent))
        (if(Said('look>'))
            (if(Said('/box,crate'))
                Print("Besides some cool poker chips there is nothing interesting.")
            )(if(Said('/vial,flask,pot'))
                Print("You aren't about to drink whatever's in these things. From the looks of it, they've been sitting around for a few years anyway.")
            )(if(Said('/moon,window,sky,outside'))
                Print("Sure is a beautiful night to be in prison.")
            )(if(Said('/book,bookshelf,shelf,bookcase,case'))
                Print("Sorry, I'm in no mood to sit and read through these books to see if they would be interesting.")
            )(if(Said('around'))
                (if(not(send gEgo:has(2)))
                    Print("This is the storage room. There are boxes, a bookshelf, a chest, some vials, rope, and all kinds of other things. My gear should be in here somewhere.")
                )(else
                    (if(not(send gEgo:has(6)))
                        Print("I got my gear, but maybe there is something else helpful here.")
                    )(else
                        Print("There is nothing else here that is of interest to me.")
                    )
                )
            )(if(Said('/anyword'))
                Print("Why look at that? It's quite boring.")
            )(if(Said('[ /* , !* ]'))
                (if(not(send gEgo:has(2)))
                    Print("This is the storage room. There are boxes, a bookshelf, a chest, some vials, rope, and all kinds of other things. My gear should be in here somewhere.")
                )(else
                    (if(not(send gEgo:has(6)))
                        Print("I got my gear, but maybe there is something else helpful here.")
                    )(else
                        Print("There is nothing else here that is of interest to me.")
                    )
                )
            )
        )
        
        (if(Said('open/chest,box'))
            (if(<=(send gEgo:distanceTo(treasureBox))25)
                (if(not(send gEgo:has(2)))
                    (treasureBox:cel(1))
                    Print("What luck, it isn't locked!")
                    Print("You open it up and find your sword inside.")
                    Print("You take it.")
                    (send gEgo:get(2))
                    (send gGame:changeScore(1))//CHANGESCORE
                )(else
                    Print("It's already open and there's nothing left inside.")
                )
            )(else
                Print("You're not close enough.")
            )
        )
        
        (if(Said('take,pick/rope'))
            (if(not(send gEgo:has(6)))
                (if(<=(send gEgo:distanceTo(rope))20)
                    (send gEgo:get(6))
                    Print("No prob")
                    (rope:hide())
                    (send gGame:changeScore(1))//CHANGESCORE
                )(else
                    Print("You're not close enough.")
                )
            )(else
                Print("You already have that.")
            )
        )
        
        (if(Said('take/chips'))
            Print("Cool though they may be, I don't really have much use for them.")
        )
    )
    
    (method (doit)
        (super:doit)
        (if(== (send gEgo: onControl()) ctlSILVER)
            (send gRoom:newRoom(51))
        )
    )
)
(instance shelf of Prop
    (properties
        y 80
        x 230
        view 102
    )
)
(instance treasureBox of Prop
    (properties
        y 85
        x 255
        view 233
    )
)
(instance rope of Prop
    (properties
        y 100
        x 210
        view 102
    )
)
/******************************************************************************/
