/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 56)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm056 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:
					posn(150 130)
					loop(1)
				)
			)(case 51
                (send gEgo:posn(260 150)loop(1))
            )
		)

		SetUpEgo()
		(send gEgo:init())
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
            )(case 1 = cycles 7
                (send gEgo:setMotion(MoveTo 250 140))
            )(case 2 = cycles 10
                (if(darkRoom)
                    Print("Man, it is too dark to see anything in here.")
                    = darkRoom 0
                )
            )
        )
    )
    
    (method (handleEvent pEvent)
        (var dyingScript)
        (super:handleEvent(pEvent))
        (if(Said('look'))
            Print("It's too dark to see anything.")
        )
    )
    
    (method (doit)
        (super:doit)
        (if(== (send gEgo: onControl()) ctlSILVER)
            (send gRoom:newRoom(51))
        )
    )
        
)
/******************************************************************************/
