/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 37)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm037 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:
					posn(150 100)
					loop(1)
				)
			)
		)

		SetUpEgo()
		(send gEgo:init())
        (doorGate:init()loop(6))
        (gate:init()loop(0))
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
                (ProgramControl)
                (if(send gEgo:has(INV_SWORD))
                    (RoomScript:changeState(10))
                )(else
                    (send gEgo:hide())
                )
            )(case 1 = cycles 10
            )(case 2 = cycles 7
                Print("Early the next morning the Princess was found missing.")
                Print("The King was furious and called you to stand trial before him.")
            )(case 3 = cycles 10
                (send gRoom:newRoom(104))
            )
        )
    )
)
(instance gate of Prop
    (properties
        y 175
        x 301
        view 104
    )
)
(instance doorGate of Prop
    (properties
        y 166
        x 159
        view 37
    )
)
/******************************************************************************/
